Syncfusion Feedback


Overview

React Stock Chart or Candlestick chart is mostly used in the stock market to represent the high, low, open, and close values of the stock. Supports interactive trackball, crosshair feature to track information on data.


Hollow and filled Candlestick Chart

A filled candlestick is drawn when the stock closes lower than the opening price, representing the open price at the top and close price at the bottom.


Multi series

Use multi-series Candlestick to represent two or more data set, each data set representing high, low, open, and close values.


Combination for Candlestick with another chart

Use line and column charts along with candle chart to show the close and volume of the data.


Multiple pane

Allows you to render the stock price in different panes of the chart. Visualize the candle values in one pane and the volume in a different pane.


Candle chart with Range selector

You can use the range selector along with financial chart to filter and navigate through a large number of data points.

React Candle chart with Range selector


Bull and bear

Customizable bull and bear colors.


React Stock Chart Code Example

Easily get started with React Stock Chart using a few simple lines of HTML and JS code example as demonstrated below. Also explore our React Stock Chart Example that shows you how to render and configure the chart.

  1. <!DOCTYPE html>
  2. <html>
  3.  
  4. <body>
  5. <div id="charts"></div>
  6. </body>
  7.  
  8. </html>
  1. import {AxisModel,CandleSeries,Category,ChartComponent,Inject,SeriesCollectionDirective, SeriesDirective, CandleSeries} from'@syncfusion/ej2-react-charts';
  2. import * as React from 'react';
  3. class App extends React.Component<{}, {}> {
  4. public primaryXAxis: AxisModel = { };
  5. public data1: any[]= [
  6. { x: 'Jan', open: 120, high: 160, low: 100, close: 140 },
  7. { x: 'Feb', open: 150, high: 190, low: 130, close: 170 },
  8. { x: 'Mar', open: 130, high: 170, low: 110, close: 150 },
  9. { x: 'Apr', open: 160, high: 180, low: 120, close: 140 },
  10. { x: 'May', open: 150, high: 170, low: 110, close: 130 },
  11. { x: 'Jun', open: 120, high: 160, low: 100, close: 140 },
  12. { x: 'Jul', open: 150, high: 190, low: 130, close: 170 },
  13. { x: 'Aug', open: 130, high: 170, low: 110, close: 150 },
  14. { x: 'Sep', open: 160, high: 180, low: 120, close: 140 },
  15. { x: 'Oct', open: 150, high: 170, low: 110, close: 130 }
  16. ];
  17.  
  18. public render() {
  19. return <ChartComponent id='charts' primaryXAxis={this.primaryXAxis}>
  20. <Inject services={[CandleSeries, Category]} />
  21. <SeriesCollectionDirective>
  22. <SeriesDirective dataSource={this.data1} xName='x' yName='y' type='Candle'/>
  23. </SeriesCollectionDirective>
  24. </ChartComponent>
  25. }
  26. };
  27. ReactDOM.render(
  28. <App />,
  29. document.getElementById('charts') as HTMLElement
  30. );

Learning Resources

UG

Candle Chart User Guide

Learn the available options to customize React stock chart.

API

Candle Chart API Reference

Explore the React stock chart APIs.

90+ REACT UI COMPONENTS

Scroll up icon
Chat with us

Angular Candlestick are mostly used in the stock market to represent the high, low, open, and close values of the stock. Supports interactive trackball, crosshair feature to track information on data.
A filled candlestick is drawn when the stock closes lower than the opening price, representing the open price at the top and close price at the bottom.
Use multi-series Candlestick to represent two or more data set, each data set representing high, low, open, and close values.
Use line and column charts along with candle chart to show the close and volume of the data.
Allows you to render the stock price in different panes of the chart. Visualize the candle values in one pane and the volume in a different pane.
You can use the range selector along with financial chart to filter and navigate through a large number of data points.
Customizable bull and bear colors.
<ejs-chart style='display:block' id='chartcontainer' [primaryXAxis]='primaryXAxis'>
<e-series-collection>
<e-series [dataSource]='data' type='Candle' xName='x' high='high' low='low' open='open' close='close'> </e-series>
</e-series-collection>
</ejs-chart>
//app.component.ts
import { Component } from '@angular/core';
export class AppComponent {
public data: Object[] = [
{ x: 'Jan', open: 120, high: 160, low: 100, close: 140 },
{ x: 'Feb', open: 150, high: 190, low: 130, close: 170 },
{ x: 'Mar', open: 130, high: 170, low: 110, close: 150 },
{ x: 'Apr', open: 160, high: 180, low: 120, close: 140 },
{ x: 'May', open: 150, high: 170, low: 110, close: 130 },
{ x: 'Jun', open: 120, high: 160, low: 100, close: 140 },
{ x: 'Jul', open: 150, high: 190, low: 130, close: 170 },
{ x: 'Aug', open: 130, high: 170, low: 110, close: 150 },
{ x: 'Sep', open: 160, high: 180, low: 120, close: 140 },
{ x: 'Oct', open: 150, high: 170, low: 110, close: 130 }
];
//Initializing Primary X Axis
public primaryXAxis: Object = {
valueType: 'Category',
};
}
//app.module.ts
import { ChartModule } from '@syncfusion/ej2-ng-charts';
import { CandleSeriesService, CategoryService} from '@syncfusion/ej2-ng-charts';
import { AppComponent } from './app.component';
@NgModule({
declarations: [
AppComponent
],
imports: [
BrowserModule, ChartModule
],
providers: [ CategoryService, CandleSeriesService],
bootstrap: [AppComponent]
})
export class AppModule { }